#!/usr/bin/tclsh
#
# xL-udrcompare v0.3
#
# (C) 2003 xoLax

bind pub -|- !altopratio pub:altopratio
bind pub -|- !mntopratio pub:mntopratio
bind pub -|- !wktopratio pub:wktopratio
bind pub -|- !daytopratio pub:daytopratio

bind msg -|- !altopratio msg:altopratio
bind msg -|- !mntopratio msg:mntopratio
bind msg -|- !wktopratio msg:wktopratio
bind msg -|- !daytopratio msg:daytopratio


set udrcbin {/glftpd/bin/xl-udrcompare.sh}


proc pub:altopratio {nick output binary chan text} {
 global udrcbin
 foreach line [split [exec $udrcbin ALL] "\n"] {
     putquick "PRIVMSG $chan :$line"
 }
}
proc pub:mntopratio {nick output binary chan text} {
 global udrcbin
 foreach line [split [exec $udrcbin MONTH] "\n"] {
     putquick "PRIVMSG $chan :$line"
 }
}
proc pub:wktopratio {nick output binary chan text} {
 global udrcbin
 foreach line [split [exec $udrcbin WEEK] "\n"] {
     putquick "PRIVMSG $chan :$line"
 }
}
proc pub:daytopratio {nick output binary chan text} {
 global udrcbin
 foreach line [split [exec $udrcbin DAY] "\n"] {
     putquick "PRIVMSG $chan :$line"
 }
}


proc msg:altopratio { nick host hand text } {
 global udrcbin
 foreach line [split [exec $udrcbin ALL] "\n"] {
     putquick "PRIVMSG $nick :$line"
 }
}
proc msg:mntopratio { nick host hand text } {
 global udrcbin
 foreach line [split [exec $udrcbin MONTH] "\n"] {
     putquick "PRIVMSG $nick :$line"
 }
}
proc msg:wktopratio { nick host hand text } {
 global udrcbin
 foreach line [split [exec $udrcbin WEEK] "\n"] {
     putquick "PRIVMSG $nick :$line"
 }
}
proc msg:daytopratio { nick host hand text } {
 global udrcbin
 foreach line [split [exec $udrcbin DAY] "\n"] {
     putquick "PRIVMSG $nick :$line"
 }
}

putlog "xL-udrcompare v0.3 by xoLax loaded"
